### A free/open-source library for quantitative finance

Public Member Functions
FdHestonRebateEngine Class Reference
Barrier option engines

Finite-Differences Heston Barrier Option rebate helper engine. More...

`#include <ql/pricingengines/barrier/fdhestonrebateengine.hpp>`

Inheritance diagram for FdHestonRebateEngine:
[legend]

List of all members.

## Public Member Functions

| FdHestonRebateEngine (const boost::shared_ptr< HestonModel > &model, Size tGrid=100, Size xGrid=100, Size vGrid=50, Size dampingSteps=0, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Hundsdorfer())
void | calculate () const

## Detailed Description

Finite-Differences Heston Barrier Option rebate helper engine.